### Function

# Json boxed_register_serialize_func

since: 0.10

#### Declaration [src]

    void
    json_boxed_register_serialize_func (
      GType gboxed_type,
      JsonNodeType node_type,
      JsonBoxedSerializeFunc serialize_func
    )

#### Description [src]

Registers a serialization function for a `GBoxed` of type `gboxed_type` to a `JsonNode` of type `node_type`.

Available since: 0.10

This function is not directly available to language bindings.

#### Parameters

`gboxed_type`

  Type: `GType`

  A boxed type.

`node_type`

  Type: `JsonNodeType`

  A node type.

`serialize_func`

  Type: `JsonBoxedSerializeFunc`

  Serialization function.